KB4507453: Windows 10バージョン1903の2019年7月のセキュリティ更新プログラム(SWAPGS)

high Nessus プラグイン ID 126574
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのWindowsホストは、複数の脆弱性の影響を受けます。

説明

リモートの Windows ホストに、セキュリティ更新プラグラム4507453がありません。
したがって、以下の複数の脆弱性による影響を受けます。

- .NETソフトウェアがファイルのソースマークアップをチェックできないとき、リモートでコードを実行される脆弱性がソフトウェアにあります。この脆弱性の悪用に成功した攻撃者が、現行ユーザーのコンテキストで任意のコードを実行する可能性があります。現行ユーザーが管理者ユーザー権限でログオンしている場合、攻撃者が影響を受けるシステムを乗っ取る可能性があります。攻撃者が、完全なユーザー権限で、プログラムのインストール、データの表示・変更・削除、または新規アカウントの作成を実行する可能性があります。
(CVE-2019-1113)

- splwow64.exeが特定の呼び出しを処理する方法に、ローカルでの権限昇格の脆弱性があります。この脆弱性の悪用に成功した攻撃者が、影響を受けるシステムで、権限をLow整合性からMedium整合性に昇格させる可能性があります。この脆弱性だけでは、任意のコードが実行されることはありません。ただし、攻撃者がコードの実行を試みるとき、昇格された権限を利用できる別の脆弱性(リモートでコードが実行される脆弱性または別の昇格権限の脆弱性など)と組み合わせて使用すると、任意のコードが実行される可能性があります。(CVE-2019-0880)

- ホストサーバー上のMicrosoft Hyper-Vが、ゲストオペレーティングシステム上の特権ユーザーからの入力を適切に検証しないとき、サービス拒否の脆弱性があります。(CVE-2019-0966)

- ChakraスクリプトエンジンがMicrosoft Edgeのメモリでオブジェクトを処理する方法に、リモートコード実行脆弱性があります。この脆弱性により、攻撃者が現在のユーザーのコンテキストで任意のコードを実行し、メモリを破損させる可能性があります。この脆弱性の悪用に成功した攻撃者が、現在のユーザーと同じユーザー権限を取得する可能性があります。(CVE-2019-1062、CVE-2019-1092、CVE-2019-1103、CVE-2019-1106、CVE-2019-1107)

- Windows RDPクライアントがメモリの内容を不適切に漏えいさせるとき、情報漏えいの脆弱性があります。この脆弱性の悪用に成功した攻撃者は、情報を取得してユーザーシステムをさらに侵害する可能性があります。(CVE-2019-1108)

- win32kコンポーネントがカーネル情報を不適切に提供する場合に、情報漏洩の脆弱性があります。
この脆弱性の悪用に成功した攻撃者は、情報を取得してユーザーシステムをさらに侵害する可能性があります。(CVE-2019-1096)

- Windowsエラー報告(WER)がファイルを処理する方法に権限の昇格の脆弱性があります。この脆弱性の悪用に成功した攻撃者が、カーネルモードで任意のコードを実行する可能性があります。攻撃者は管理者権限で、プログラムのインストール、データの表示、変更、削除、新しいアカウントの作成などを行う可能性があります。(CVE-2019-1037)

- スクリプトエンジンがMicrosoftブラウザのメモリ内のオブジェクトを処理する方法に、リモートでコードが実行される脆弱性があります。この脆弱性により、攻撃者が現在のユーザーのコンテキストで任意のコードを実行し、メモリを破損させる可能性があります。この脆弱性の悪用に成功した攻撃者が、現在のユーザーと同じユーザー権限を取得する可能性があります。
(CVE-2019-1001)

- Internet Explorerがメモリでオブジェクトに不適切にアクセスするとき、リモートでコードが実行される脆弱性があります。
この脆弱性により、攻撃者が現在のユーザーのコンテキストで任意のコードを実行し、メモリを破損させる可能性があります。この脆弱性の悪用に成功した攻撃者が、現在のユーザーと同じユーザー権限を取得する可能性があります。(CVE-2019-1063)

- ローカルサービス権限を持つ特定のフォルダーがシンボリックリンク攻撃に対して脆弱であるため、Microsoft Windowsに権限昇格の脆弱性があります。この脆弱性の悪用に成功した攻撃者が、権限のない情報にアクセスする可能性があります。この更新プログラムはこれらのシナリオでシンボリックリンクを許可しないことで、この脆弱性に対応します。
(CVE-2019-1074)

- dnsrslvr.dllがメモリ内のオブジェクトを処理する方法に権限昇格の脆弱性があります。この脆弱性の悪用に成功した攻撃者が、昇格した権限でコードを実行する可能性があります。
(CVE-2019-1090)

- Microsoftのブラウザがメモリ内のオブジェクトにアクセスする方法に、リモートでコードが実行される脆弱性があります。この脆弱性により、攻撃者が現在のユーザーのコンテキストで任意のコードを実行し、メモリを破壊する可能性があります。この脆弱性の悪用に成功した攻撃者が、現在のユーザーと同じユーザー権限を取得する可能性があります。(CVE-2019-1104)

- DirectWriteがそのメモリの内容を不適切に漏洩するとき、情報漏洩の脆弱性があります。この脆弱性の悪用に成功した攻撃者は、情報を取得してユーザーシステムをさらに侵害する可能性があります。攻撃者がこの脆弱性を悪用する方法は複数あり、ユーザーを誘導して特別に細工されたドキュメントを開かせたり、信頼できないWebページにアクセスさせたりする可能性があります。
このセキュリティ更新プログラムは、DirectWriteがメモリ内のオブジェクトを処理する方法を修正することで、この脆弱性に対応します。
(CVE-2019-1093、CVE-2019-1097)

- Windows GDIコンポーネントがメモリの内容を不適切に開示するとき、情報漏洩の脆弱性があります。この脆弱性の悪用に成功した攻撃者は、情報を取得してユーザーシステムをさらに侵害する可能性があります。攻撃者がこの脆弱性を悪用する方法は複数あり、ユーザーを誘導して巧妙に作りこまれたドキュメントを開かせたり、信頼できないWebページにアクセスさせたりする可能性があります。
セキュリティ更新プログラムは、Windows GDIコンポーネントがメモリでオブジェクトを処理する方法を修正することにより、脆弱性に対応します。(CVE-2019-1094、CVE-2019-1095)

- Windowsカーネルがメモリ内のオブジェクトを不適切に処理する場合に、情報漏洩の脆弱性があります。この脆弱性の悪用に成功した攻撃者は、情報を取得してユーザーシステムをさらに侵害する可能性があります。認証された攻撃者が、巧妙に作りこまれたアプリケーションを実行し、この脆弱性を悪用する可能性があります。更新プログラムは、Windowsカーネルがメモリでオブジェクトを処理する方法を修正することで、この脆弱性に対応します。(CVE-2019-1071)

- Windowsカーネルがメモリ内のオブジェクトを不適切に処理する場合に、権限昇格の脆弱性があります。この脆弱性の悪用に成功した攻撃者が、カーネルモードで任意のコードを実行する可能性があります。
その後、攻撃者は、完全なユーザー権限で、プログラムのインストール、データの表示・変更・削除、または新規アカウントの作成を実行する可能性があります。(CVE-2019-1067)

- 権限昇格の脆弱性がWindows Audio Serviceにあります。脆弱性の悪用に成功した攻撃者が、昇格した権限で任意のコードを実行する可能性があります。(CVE-2019-1086、CVE-2019-1087、CVE-2019-1088)

- スクリプトエンジンがInternet Explorerのメモリでオブジェクトを処理する方法に、リモートでコードが実行される脆弱性があります。この脆弱性により、攻撃者が現在のユーザーのコンテキストで任意のコードを実行し、メモリを破損させる可能性があります。この脆弱性の悪用に成功した攻撃者が、現在のユーザーと同じユーザー権限を取得する可能性があります。
(CVE-2019-1004、CVE-2019-1056、CVE-2019-1059)

- 認証された攻撃者がクリップボードのリダイレクトを悪用したとき、以前はターミナルサービスと呼ばれていたリモートデスクトップサービスにリモートでコードが実行される脆弱性があります。この脆弱性の悪用に成功した攻撃者が、被害者のシステムで任意のコードを実行する可能性があります。その後、攻撃者は、完全なユーザー権限で、プログラムのインストール、データの表示・変更・削除、または新規アカウントの作成を実行する可能性があります。(CVE-2019-0887)

- wlansvc.dllがメモリ内のオブジェクトを処理する方法に権限昇格の脆弱性があります。この脆弱性の悪用に成功した攻撃者が、昇格した権限でコードを実行する可能性があります。
(CVE-2019-1085)

- Microsoft Common Objectランタイムライブラリが不適切にWebリクエストを処理するとき、サービス拒否の脆弱性があります。この脆弱性の悪用に成功した攻撃者は、.NET Webアプリケーションに対するサービス拒否を引き起こす可能性があります。リモートの認証されていない攻撃者がこの脆弱性を悪用し、特別に細工されたリクエストを.NETアプリケーションに発行する可能性があります。この更新プログラムでは、.NET WebアプリケーションがWebリクエストを処理する方法が修正され、この脆弱性に対処しています。(CVE-2019-1083)

RPCサービスのActivation KernelがRPCリクエストを正しく処理しないとき、rpcss.dllに権限昇格の脆弱性があります。(CVE-2019-1089)

- Windowsカーネルがメモリ内のオブジェクトを不適切に処理する場合に、情報漏洩の脆弱性があります。この脆弱性の悪用に成功した攻撃者は、情報を取得してユーザーシステムをさらに侵害する可能性があります。(CVE-2019-1073)

- SymCryptが特別に細工されたデジタル署名を不適切に処理するとき、サービス拒否の脆弱性があります。攻撃者が特別に細工した接続またはメッセージを作成することにより、この脆弱性を悪用する可能性があります。
このセキュリティ更新プログラムはSymCryptがデジタル署名を処理する方法を修正することで、この脆弱性に対応します。
(CVE-2019-0865)

- Windowsグラフィックデバイスインターフェイス(GDI)がメモリ内のオブジェクトを処理する方法に、リモートコード実行の脆弱性があります。この脆弱性の悪用に成功した攻撃者が、影響を受けるシステムを乗っ取る可能性があります。その後、攻撃者は、完全なユーザー権限で、プログラムのインストール、データの表示・変更・削除、または新規アカウントの作成を実行する可能性があります。(CVE-2019-1102)

- Windows Communication Foundation(WCF)およびWindows Identity Foundation(WIF)に認証バイパスの脆弱性があるため、任意の対称鍵を使ってSAMLトークンに署名される可能性があります。この脆弱性により、攻撃者が他のユーザーになりすまして、権限を昇格させる可能性があります。この脆弱性は、.NET FrameworkのWCFとWIF 3.5以降、WindowsのWIF 1.0コンポーネント、WIF Nugetパッケージ、SharePointのWIF実装にあります。認証されていない攻撃者がこれを悪用して、任意の対称鍵を使用してSAMLトークンに署名する可能性があります。このセキュリティ更新プログラムは、WCFおよびWIFのすべてのバージョンがSAMLトークンに正しく署名するために使用されるキーを検証するようにすることで、この脆弱性に対応します。
(CVE-2019-1006)

- Windows AppX Deployment Service(AppXSVC)がハードリンクを不適切に処理するとき、権限昇格の脆弱性があります。この脆弱性の悪用に成功した攻撃者が、昇格したコンテキストでプロセスを実行する可能性があります。その後、攻撃者は、プログラムをインストールし、データを表示・変更・削除する可能性があります。(CVE-2019-1129、CVE-2019-1130)

- Unistore.dllがメモリ内のオブジェクトを適切に処理しないとき、情報漏えいの脆弱性があります。
この脆弱性の悪用に成功した攻撃者が、昇格されたプロセスのメモリコンテンツを漏洩させる可能性があります。(CVE-2019-1091)

- DirectWriteがメモリ内のオブジェクトを処理する方法に、リモートでコードが実行される脆弱性があります。この脆弱性の悪用に成功した攻撃者が、影響を受けるシステムを乗っ取る可能性があります。攻撃者が、完全なユーザー権限で、プログラムのインストール、データの表示・変更・削除、または新規アカウントの作成を実行する可能性があります。攻撃者がこの脆弱性を悪用する方法は複数あり、ユーザーを誘導して巧妙に作りこまれたドキュメントを開かせたり、信頼できないWebページにアクセスさせたりする可能性があります。このセキュリティ更新プログラムは、DirectWriteがメモリ内のオブジェクトを処理する方法を修正することで、この脆弱性に対応します。(CVE-2019-1117、CVE-2019-1118、CVE-2019-1119、CVE-2019-1120、CVE-2019-1121、CVE-2019-1122、CVE-2019-1123、CVE-2019-1124、CVE-2019-1127、CVE-2019-1128)
- 特定の中央処理装置(CPU)が投機的にメモリにアクセスする場合に、情報漏洩の脆弱性があります。この脆弱性の悪用に成功した攻撃者が、信頼境界を越えて特権データを読み取る可能性があります。(CVE-2019-1125)

ソリューション

累積的な更新プログラムKB4507453を適用してください。

関連情報

http://www.nessus.org/u?29fe0038

プラグインの詳細

深刻度: High

ID: 126574

ファイル名: smb_nt_ms19_jul_4507453.nasl

バージョン: 1.9

タイプ: local

エージェント: windows

公開日: 2019/7/9

更新日: 2021/2/5

依存関係: smb_check_rollup.nasl, smb_hotfixes.nasl, ms_bulletin_checks_possible.nasl

リスク情報

CVSS スコアのソース: CVE-2019-1128

VPR

リスクファクター: Critical

スコア: 9.7

CVSS v2

リスクファクター: High

Base Score: 9.3

Temporal Score: 8.1

ベクトル: AV:N/AC:M/Au:N/C:C/I:C/A:C

現状ベクトル: E:H/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 8.4

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:H/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:microsoft:windows, cpe:/a:microsoft:edge

必要な KB アイテム: SMB/MS_Bulletin_Checks/Possible

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2019/7/9

脆弱性公開日: 2019/7/9

参照情報

CVE: CVE-2019-0865, CVE-2019-0880, CVE-2019-0887, CVE-2019-0966, CVE-2019-1001, CVE-2019-1004, CVE-2019-1006, CVE-2019-1037, CVE-2019-1056, CVE-2019-1059, CVE-2019-1062, CVE-2019-1063, CVE-2019-1067, CVE-2019-1071, CVE-2019-1073, CVE-2019-1074, CVE-2019-1083, CVE-2019-1085, CVE-2019-1086, CVE-2019-1087, CVE-2019-1088, CVE-2019-1089, CVE-2019-1090, CVE-2019-1091, CVE-2019-1092, CVE-2019-1093, CVE-2019-1094, CVE-2019-1095, CVE-2019-1096, CVE-2019-1097, CVE-2019-1102, CVE-2019-1103, CVE-2019-1104, CVE-2019-1106, CVE-2019-1107, CVE-2019-1108, CVE-2019-1113, CVE-2019-1117, CVE-2019-1118, CVE-2019-1119, CVE-2019-1120, CVE-2019-1121, CVE-2019-1122, CVE-2019-1123, CVE-2019-1124, CVE-2019-1125, CVE-2019-1127, CVE-2019-1128, CVE-2019-1129, CVE-2019-1130

MSKB: 4507453

MSFT: MS19-4507453